commit: d0f90f9d129dd53cf33a7c82b102dc9267166c8f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 6 19:32:21 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 6 19:40:56 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0f90f9d
dev-python/outcome: Switch to PEP517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/outcome/outcome-1.1.0-r1.ebuild | 37 ++++++++++++++++++++++++++++++
1 file changed, 37 insertions(+)
diff --git a/dev-python/outcome/outcome-1.1.0-r1.ebuild
b/dev-python/outcome/outcome-1.1.0-r1.ebuild
new file mode 100644
index 000000000000..8da627573eeb
--- /dev/null
+++ b/dev-python/outcome/outcome-1.1.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Capture the outcome of Python function calls"
+HOMEPAGE="
+ https://github.com/python-trio/outcome
+ https://pypi.org/project/outcome
+"
+SRC_URI="
+ https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/async_generator[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinxcontrib-trio